# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..supply_editor import ZonesWithNoLocations
from .show_dialog import show_diag


def fixes_zones_no_locs(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = ZonesWithNoLocations(proj)
    show_diag(dlg2)
